- name: Create .ssh directory
  file:
    path: "/home/{{ main_user.name }}/.ssh"
    state: directory
    mode: '0700'
    owner: "{{ main_user.name }}"
    group: users

- name: copy sshconfig
  copy:
    src: files/home/.ssh/config
    dest: "/home/{{ main_user.name }}/.ssh/"
    owner: root
    group: root
